### Method

# PapersView AnnotationsContext first_index_for_page

#### Declaration [src]

    int
    pps_annotations_context_first_index_for_page (
      PpsAnnotationsContext* self,
      gint page
    )

#### Description [src]

Finds the first index of an annotation for the specified page with a dichotomic search.

#### Parameters

`page`

  Type: `gint`

  The page number to search for.

#### Return value

Type: `int`

The index of the first annotation for the specified page in the model, or the number of items if there is none.